Solar Return
POST
/api/calc/solar-return
Calculate the solar return chart for a specific year (birthday chart).
Authorizations
ApiKeyAuth
API key for authentication. Get your API key from the dashboard.
Type
API Key (header: X-Api-Key)
Request Body
application/json
JSON "birthDateTime": "string", "birthLocation": { "longitude": 0, "latitude": 0, "timezone": "string" }, "returnYear": 0, "houseSystem": "placidus", "language": "en", "includeText": false, "includeReadableEntities": false, "points": [ "string" ], "orbs": { "additionalProperties": 0 }
{
}
Responses
Calculate solar return chart
application/vnd.api+json
JSON "data": { "returnYear": 0, "returnDate": "string", "aspects": [ { "pointA": "string", "pointB": "string", "aspect": "string", "angle": 0, "orb": 0, "applying": true, "text": "string" } ], "points": { "additionalProperties": { "pointId": "string", "longitude": 0, "speedLongitude": 0, "speedLatitude": 0, "speedDistance": 0, "retrograde": true, "houseId": "string", "houseNumber": 0, "degreesInSign": 0, "degreesInSignDms": [ 0 ], "sign": "string" } }, "angles": { "additionalProperties": { "pointId": "string", "longitude": 0, "degreesInSign": 0, "degreesInSignDms": [ 0 ], "sign": "string" } }, "houses": { "cusps": [ { "longitude": 0, "longitudeDms": { "degrees": 0, "minutes": 0, "seconds": 0 }, "sign": "string" } ], "ascmc": [ { "longitude": 0, "longitudeDms": { "degrees": 0, "minutes": 0, "seconds": 0 }, "sign": "string" } ] }, "charts": { "additionalProperties": { "title": "string", "description": "string", "url": "string" } } }
{
}